Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6328/?format=api
{ "ob_id": 6328, "uuid": "2af4ac5dac7b264f0716cd3311ba2fe1", "title": "ECMWF ERA-Interim: spherical harmonic gridded model level forecast model parameter data (spfm)", "abstract": "Model level forecast parameters on a spherical harmonic grid from the European Centre for Medium-Range Weather Forecasts (ECWMF) ERA-Interim programme.\r\n\r\nThe ERA-Interim global atmospheric reanalysis of the covers 1979 to August 2019. This follows on from the ERA-15 and ERA-40 re-analysis projects\r\n\r\nThis subset of the ERA-Interim dataset contains 3 parameters on 60 levels.", "keywords": "ECMWF, ERA, ERA, Interim, reanalysis, model, spherical harmonics grid, model level, forecast", "publicationState": "published", "dataPublishedTime": "2014-08-26T15:19:32", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6329/?format=api", "dataPath": "/badc/ecmwf-era-interim/data/sp/fm", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3830220348846, "numberOfFiles": 118833, "fileFormat": "Data are GRIB formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1841/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6240/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6243/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6499/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25925/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25980/?format=api" ], "dataLineage": "Data are generated by the ERA-Interim project at European Centre for Medium-Range Weather Forecasts (ECMWF) before being prepared by ECMWF and uploaded to Centre for Environmental Data Analysis (CEDA) for ingestion into the archive.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4141/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6305/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6302/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26757/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26755/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26756/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26758/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26759/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26760/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109212/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/6306/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2536/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ecmwf-era-products.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }